#
# spec file for package rubygem-rubyzip-1.3
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rubyzip-1.3
Version:        1.3.0
Release:        bp154.1.20
%define mod_name rubyzip
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -1.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby >= 1.9.2}
BuildRequires:  %{rubygem gem2rpm}
Url:            http://github.com/rubyzip/rubyzip
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        rubyzip is a ruby module for reading and writing zip files
License:        BSD-2-Clause
Group:          Development/Languages/Ruby

%description
rubyzip is a ruby module for reading and writing zip files.

%prep

%build

%install
%gem_install \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
* Wed Nov 13 2019 Dan Čermák <dcermak@suse.com>
- Update to version 1.3
  This fixes CVE-2019-16892
  Security
  - Add `validate_entry_sizes` option so that callers can trust an entry's reported size when using `extract` [#403](https://github.com/rubyzip/rubyzip/pull/403)
  - This option defaults to `false` for backward compatibility in this release, but you are strongly encouraged to set it to `true`. It will default to `true` in rubyzip 2.0.
  New Feature
  - Add `add_stored` method to simplify adding entries without compression [#366](https://github.com/rubyzip/rubyzip/pull/366)
  Tooling / Documentation
  - Add more gem metadata links [#402](https://github.com/rubyzip/rubyzip/pull/402)
* Tue Nov 12 2019 Johannes Kastl <kastl@b1-systems.de>
- used latest template for gem2rpm.yml
- add license to gem2rpm.yml to correctly get BSD-2-Clause
* Tue Nov 12 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.2.4
  * Do not rewrite zip files opened with `open_buffer` that have not changed [#360](https://github.com/rubyzip/rubyzip/pull/360)
  Tooling / Documentation
  * Update `example_recursive.rb` in README [#397](https://github.com/rubyzip/rubyzip/pull/397)
  * Hold CI at `trusty` for now, automatically pick the latest ruby patch version, use rbx-4 and hold jruby at 9.1 [#399](https://github.com/rubyzip/rubyzip/pull/399)
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 1.2.3
  * Allow tilde in zip entry names [#391](https://github.com/rubyzip/rubyzip/pull/391) (fixes regression in 1.2.2 from [#376](https://github.com/rubyzip/rubyzip/pull/376))
  * Support frozen string literals in more files [#390](https://github.com/rubyzip/rubyzip/pull/390)
  * Require `pathname` explicitly [#388](https://github.com/rubyzip/rubyzip/pull/388) (fixes regression in 1.2.2 from [#376](https://github.com/rubyzip/rubyzip/pull/376))
  Tooling / Documentation:
  * CI updates [#392](https://github.com/rubyzip/rubyzip/pull/392), [#394](https://github.com/rubyzip/rubyzip/pull/394)
  - Bump supported ruby versions and add 2.6
  - JRuby failures are no longer ignored (reverts [#375](https://github.com/rubyzip/rubyzip/pull/375) / part of [#371](https://github.com/rubyzip/rubyzip/pull/371))
  * Add changelog entry that was missing for last release [#387](https://github.com/rubyzip/rubyzip/pull/387)
  * Comment cleanup [#385](https://github.com/rubyzip/rubyzip/pull/385)
* Wed Sep  5 2018 coolo@suse.com
- updated to version 1.2.2
  Fixes CVE-2018-1000544 symlink and absolute path traversal
  (bsc#1099280).
  See https://github.com/rubyzip/rubyzip/pull/387
  for full changelog.
* Thu Feb  9 2017 coolo@suse.com
- updated to version 1.2.1
  Fixes bsc#1027050 CVE-2017-5946
* Sat Feb 20 2016 coolo@suse.com
- updated to version 1.2.0
  no changelog found
* Tue Feb 10 2015 coolo@suse.com
- updated to version 1.1.7
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 1.1.3, no changelog
* Tue Mar 18 2014 coolo@suse.com
- updated to version 1.1.2, no changelog
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.1.0, found no changelog
* Fri Aug 30 2013 coolo@suse.com
- updated to version 1.0.0
  Changed the API for gem. Now it can be used without require param in Gemfile.
  Added read-only support for Zip64 files.
  Added support for setting Unicode file names.
* Fri Jun 22 2012 coolo@suse.com
- update to 0.9.9
  Added support for backslashes in zip files (generated by the default Windows
  zip packer for example) and comment sections with the comment length set to zero
  even though there is actually a comment.
* Sat Apr 28 2012 coolo@suse.com
- update to 0.9.8
  Fixed: "Unitialized constant NullInputStream" error
* Sun Apr  8 2012 coolo@suse.com
- update to 0.9.7, still no upstream changelog
* Wed Apr  4 2012 coolo@suse.com
- update to 0.9.6.1, no upstream changelog
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.9.4
  Changed ZipOutputStream.put_next_entry signature (API CHANGE!).
  Now allows comment, extra field and compression method to be
  specified.
- additional changes from version 0.9.3
  Fixed: Added ZipEntry::name_encoding which retrieves the
  character encoding of the name and comment of the entry. Also
  added convenience methods ZipEntry::name_in(enc) and
  ZipEntry::comment_in(enc) for getting zip entry names and
  comments in a specified character encoding.
- additional changes from version 0.9.2
  Fixed: Renaming an entry failed if the entry's new name was a
  different length than its old name. (Diego Barros)
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Oct  2 2006 mrueckert@suse.de
- Initial package of version 0.9.1
